Subject: bug#28943: 25.2; desktop-kill should not be in kill-emacs-hook

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Jul 2021 17:33:43 +0200

martin rudalics <[email-masked]> writes:

>> I suggest either we move `desktop-kill' to `kill-emacs-query-functions'
>> or we define two functions, one with user interaction, the other one
>> unattended.
>
> I think we should just move it to ‘kill-emacs-query-functions’.

It seems like everybody agreed about that, so I've now made this change
in Emacs 28.

> A cursory look reveals that at least ‘eshell-save-some-last-dir’,
> ‘eshell-save-some-history’ and ‘ps-kill-emacs-check’ seem to have the
> same problem.

Ditto.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no